## org.apache.hadoop.streaming.io
Class InputWriter<K,V>

    java.lang.Object
      org.apache.hadoop.streaming.io.InputWriter<K,V>

Direct Known Subclasses:
  RawBytesInputWriter, TextInputWriter, TypedBytesInputWriter

    public abstract class InputWriter<K,V>

extends Object

Abstract base for classes that write the client's input.

Constructor Summary
`InputWriter()`

Method Summary
`void` `initialize(PipeMapRed pipeMapRed)` Initializes the InputWriter.
`abstract void` `writeKey(K key)` Writes an input key.
`abstract void` `writeValue(V value)` Writes an input value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputWriter

    public InputWriter()

Method Detail

### initialize

    public void initialize(PipeMapRed pipeMapRed)
                    throws IOException

  Initializes the InputWriter. This method has to be called before calling any of the other methods.

  Throws:
    `IOException`

### writeKey

    public abstract void writeKey(K key)
                           throws IOException

  Writes an input key.

  Throws:
    `IOException`

### writeValue

    public abstract void writeValue(V value)
                             throws IOException

  Writes an input value.

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation